<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net7.0-windows</TargetFramework>
    <UseWPF>true</UseWPF>
    <StartupObject></StartupObject>
    <Authors>Welsch, Woitschetzki</Authors>
    <Company>WW</Company>
    <RepositoryUrl>https://git.woitschetzki.de/sascha/Gremlin</RepositoryUrl>
    <RepositoryType>git</RepositoryType>
    <Copyright>2022</Copyright>
    <ApplicationIcon>gremlin.ico</ApplicationIcon>
    <EnforceCodeStyleInBuild>true</EnforceCodeStyleInBuild>
    <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
    <Title>Gremlin</Title>
    <NeutralLanguage>de</NeutralLanguage>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Resources\Images\**" />
    <EmbeddedResource Remove="Resources\Images\**" />
    <None Remove="Resources\Images\**" />
    <Page Remove="Resources\Images\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="GremlinUtilities\GUData\DataIdentifier.txt" />
    <None Remove="GremlinUtilities\GUData\MappingDictionary.txt" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="GremlinUtilities\GUData\DataIdentifier.txt" />
    <EmbeddedResource Include="GremlinUtilities\GUData\MappingDictionary.txt">
      <CopyToOutputDirectory>Never</CopyToOutputDirectory>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Caliburn.Micro" Version="4.0.212" />
    <PackageReference Include="DocumentFormat.OpenXml" Version="2.18.0" />
    <PackageReference Include="morelinq" Version="3.3.2" />
    <PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="7.0.0-alpha.1" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Properties\Resources.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Update="Properties\Settings.Designer.cs">
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <None Update="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="GremlinServices\" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

</Project>
